gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.PropertyValues

Contents

- Exported types
- Methods
- Properties
  - newValue
  - oldValue
  - propertyName

Description

valid value. This is a field defined with the purpose of contain the previous value of the property, but is not used anymore.

Synopsis

- newtype PropertyValues = PropertyValues (ManagedPtr PropertyValues)
- newZeroPropertyValues :: MonadIO m => m PropertyValues
- clearPropertyValuesNewValue :: MonadIO m => PropertyValues -> m ()
- getPropertyValuesNewValue :: MonadIO m => PropertyValues -> m (Maybe GValue)
- setPropertyValuesNewValue :: MonadIO m => PropertyValues -> Ptr GValue -> m ()
- clearPropertyValuesOldValue :: MonadIO m => PropertyValues -> m ()
- getPropertyValuesOldValue :: MonadIO m => PropertyValues -> m (Maybe GValue)
- setPropertyValuesOldValue :: MonadIO m => PropertyValues -> Ptr GValue -> m ()
- clearPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m ()
- getPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m (Maybe Text)
- setPropertyValuesPropertyName :: MonadIO m => PropertyValues -> CString -> m ()

# Exported types

newtype PropertyValues Source #

Memory-managed wrapper type.

Constructors

PropertyValues (ManagedPtr PropertyValues) |

#### Instances

Instances details

Eq PropertyValues Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods (==) :: PropertyValues -> PropertyValues -> Bool Source # (/=) :: PropertyValues -> PropertyValues -> Bool Source #
BoxedPtr PropertyValues Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods boxedPtrCopy :: PropertyValues -> IO PropertyValues Source # boxedPtrFree :: PropertyValues -> IO () Source #
CallocPtr PropertyValues Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods boxedPtrCalloc :: IO (Ptr PropertyValues) Source #
ManagedPtrNewtype PropertyValues Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods toManagedPtr :: PropertyValues -> ManagedPtr PropertyValues Source #
tag ~ 'AttrSet => Constructible PropertyValues tag Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods new :: MonadIO m => (ManagedPtr PropertyValues -> PropertyValues) -> [AttrOp PropertyValues tag] -> m PropertyValues Source #

newZeroPropertyValues :: MonadIO m => m PropertyValues Source #

Construct a `PropertyValues` struct initialized to zero.

# Methods

# Properties

## newValue

The new value of the named property.

clearPropertyValuesNewValue :: MonadIO m => PropertyValues -> m () Source #

Set the value of the “`new_value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #newValue

getPropertyValuesNewValue :: MonadIO m => PropertyValues -> m (Maybe GValue) Source #

Get the value of the “`new_value`” field. When overloading is enabled, this is equivalent to

    get propertyValues #newValue

setPropertyValuesNewValue :: MonadIO m => PropertyValues -> Ptr GValue -> m () Source #

Set the value of the “`new_value`” field. When overloading is enabled, this is equivalent to

    set propertyValues [ #newValue := value ]

## oldValue

NULL. This field is not used anymore.

clearPropertyValuesOldValue :: MonadIO m => PropertyValues -> m () Source #

Set the value of the “`old_value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #oldValue

getPropertyValuesOldValue :: MonadIO m => PropertyValues -> m (Maybe GValue) Source #

Get the value of the “`old_value`” field. When overloading is enabled, this is equivalent to

    get propertyValues #oldValue

setPropertyValuesOldValue :: MonadIO m => PropertyValues -> Ptr GValue -> m () Source #

Set the value of the “`old_value`” field. When overloading is enabled, this is equivalent to

    set propertyValues [ #oldValue := value ]

## propertyName

The name of the ATK property which has changed.

clearPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m () Source #

Set the value of the “`property_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #propertyName

getPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m (Maybe Text) Source #

Get the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    get propertyValues #propertyName

setPropertyValuesPropertyName :: MonadIO m => PropertyValues -> CString -> m () Source #

Set the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    set propertyValues [ #propertyName := value ]